## API Report File for "@fluidframework/server-local-server"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ICheckpointRepository } from '@fluidframework/server-services-core';
import { IClient } from '@fluidframework/protocol-definitions';
import { IConnected } from '@fluidframework/protocol-definitions';
import { IDatabaseManager } from '@fluidframework/server-services-core';
import { IDocumentRepository } from '@fluidframework/server-services-core';
import { IDocumentStorage } from '@fluidframework/server-services-core';
import { IHistorian } from '@fluidframework/server-services-client';
import { ILogger } from '@fluidframework/server-services-core';
import { IOrderer } from '@fluidframework/server-services-core';
import { IOrdererManager } from '@fluidframework/server-services-core';
import { IPubSub } from '@fluidframework/server-memory-orderer';
import { IServiceConfiguration } from '@fluidframework/server-services-core';
import { ITestDbFactory } from '@fluidframework/server-test-utils';
import { IWebSocket } from '@fluidframework/server-services-core';
import { IWebSocketServer } from '@fluidframework/server-services-core';

// @alpha
export interface ILocalDeltaConnectionServer {
    // (undocumented)
    close(): Promise<void>;
    // (undocumented)
    connectWebSocket(tenantId: string, documentId: string, token: string, client: IClient, protocolVersions: string[]): [IWebSocket, Promise<IConnected>];
    // (undocumented)
    databaseManager: IDatabaseManager;
    // (undocumented)
    hasPendingWork(): Promise<boolean>;
    // (undocumented)
    testDbFactory: ITestDbFactory;
    // (undocumented)
    webSocketServer: IWebSocketServer;
}

// @internal
export class LocalDeltaConnectionServer implements ILocalDeltaConnectionServer {
    // (undocumented)
    close(): Promise<void>;
    // (undocumented)
    connectWebSocket(tenantId: string, documentId: string, token: string, client: IClient, protocolVersions: string[]): [IWebSocket, Promise<IConnected>];
    static create(testDbFactory?: ITestDbFactory, serviceConfiguration?: Partial<IServiceConfiguration>, documentRepository?: IDocumentRepository): ILocalDeltaConnectionServer;
    // (undocumented)
    databaseManager: IDatabaseManager;
    // (undocumented)
    documentStorage: IDocumentStorage;
    hasPendingWork(): Promise<boolean>;
    // (undocumented)
    testDbFactory: ITestDbFactory;
    // (undocumented)
    webSocketServer: LocalWebSocketServer;
}

// @internal (undocumented)
export class LocalOrdererManager implements IOrdererManager {
    constructor(storage: IDocumentStorage, databaseManager: IDatabaseManager, createHistorian: (tenant: string) => Promise<IHistorian>, logger: ILogger, serviceConfiguration?: Partial<IServiceConfiguration> | undefined, pubsub?: IPubSub | undefined, documentRepository?: IDocumentRepository | undefined, checkpointRepository?: ICheckpointRepository | undefined);
    close(): Promise<void>;
    // (undocumented)
    getOrderer(tenantId: string, documentId: string): Promise<IOrderer>;
    hasPendingWork(): Promise<boolean>;
}

// @internal (undocumented)
export class LocalWebSocket implements IWebSocket {
    constructor(id: string, server: LocalWebSocketServer);
    // (undocumented)
    get connected(): boolean;
    // (undocumented)
    disconnect(close?: boolean): void;
    // (undocumented)
    emit(event: string, ...args: any[]): void;
    // (undocumented)
    emitToRoom(roomId: string, event: string, ...args: any[]): void;
    // (undocumented)
    readonly id: string;
    // (undocumented)
    join(roomId: string): Promise<void>;
    // (undocumented)
    off(event: string, listener: (...args: any[]) => void): this;
    // (undocumented)
    on(event: string, listener: (...args: any[]) => void): void;
    // (undocumented)
    removeListener(event: string, listener: (...args: any[]) => void): void;
    // (undocumented)
    send(event: string, ...args: any[]): void;
}

// @internal (undocumented)
export class LocalWebSocketServer implements IWebSocketServer {
    constructor(pubsub: IPubSub);
    // (undocumented)
    close(): Promise<void>;
    // (undocumented)
    createConnection(): LocalWebSocket;
    // (undocumented)
    on(event: string, listener: (...args: any[]) => void): void;
    // (undocumented)
    readonly pubsub: IPubSub;
}

// (No @packageDocumentation comment for this package)

```
